Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`ssl`.`DiffieHellmanParameters``

class documentation

`class DiffieHellmanParameters: (source)`

Constructor: `DiffieHellmanParameters(parameters)`

View In Hierarchy

A representation of key generation parameters that are required for Diffie-Hellman key exchange.

Class Method | `fromFile` | Load parameters from a file.
Method | `__init__` | Undocumented
Instance Variable | `_dhFile` | Undocumented

@classmethod
def fromFile(cls, filePath): (source)

Load parameters from a file.

Such a file can be generated using the `openssl` command line tool as following:

`openssl dhparam -out dh_param_2048.pem -2 2048`

Please refer to OpenSSL's `dhparam` documentation for further details.

Parameters
filePath:`FilePath` | A file containing parameters for Diffie-Hellman key exchange.
Returns
`DiffieHellmanParameters` | An instance that loads its parameters from `filePath`.

def __init__(self, parameters): (source)

Undocumented

_dhFile = (source)

Undocumented